Debian Bug report logs - #159821
--enable-unicode is not enabled

version graph

Package: courier; Maintainer for courier is Stefan Hornburg (Racke) <racke@linuxia.de>;

Reported by: Tomas Kuliavas <tokul@bigfoot.com>

Date: Fri, 6 Sep 2002 06:18:01 UTC

Severity: wishlist

Found in version 0.39.1-1

Fixed in version courier/0.39.3.20020921-1

Done: Stefan Hornburg (Racke) <racke@linuxia.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stefan Hornburg (Racke) <racke@linuxia.de>, courier@packages.qa.debian.org:
Bug#159821; Package courier. Full text and rfc822 format available.

Acknowledgement sent to Tomas Kuliavas <tokul@bigfoot.com>:
New Bug report received and forwarded. Copy sent to Stefan Hornburg (Racke) <racke@linuxia.de>, courier@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tomas Kuliavas <tokul@bigfoot.com>
To: submit@bugs.debian.org
Subject: --enable-unicode is not enabled
Date: Fri, 06 Sep 2002 08:08:23 +0200
Package: courier
Version: 0.39.1-1
Severity: wishlist

--enable-unicode option is not enabled in debian/rules.

This disables some courier capabilities. For example IMAP server don't 
support THREAD, SORT and SEARCH commands with non standard charsets. 
I've got errors with ISO-8859-13.

-- part of IMAP test session log --
A006 SEARCH CHARSET "ISO-8859-13" ALL *
ISO-8859-13 character set is not supported.
A007 THREAD REFERENCES ISO-8859-13 ALL
ISO-8859-13 character set is not supported.
A008 SORT (DATE) ISO-8859-13 ALL
ISO-8859-13 character set is not supported.
----

when I repackaged courier v.0.39.1-1 with --enable-unicode, these errors 
disappeared.

same thing happens with courier-imap v.1.4.3-2.1

-- 
Tomas Kuliavas




Reply sent to Stefan Hornburg (Racke) <racke@linuxia.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tomas Kuliavas <tokul@bigfoot.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 159821-close@bugs.debian.org (full text, mbox):

From: Stefan Hornburg (Racke) <racke@linuxia.de>
To: 159821-close@bugs.debian.org
Subject: Bug#159821: fixed in courier 0.39.3.20020921-1
Date: Mon, 23 Sep 2002 09:02:13 -0400
We believe that the bug you reported is fixed in the latest version of
courier, which is due to be installed in the Debian FTP archive:

courier-authdaemon_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-authdaemon_0.39.3.20020921-1_i386.deb
courier-authmysql_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-authmysql_0.39.3.20020921-1_i386.deb
courier-base_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-base_0.39.3.20020921-1_i386.deb
courier-debug_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-debug_0.39.3.20020921-1_i386.deb
courier-doc_0.39.3.20020921-1_all.deb
  to pool/main/c/courier/courier-doc_0.39.3.20020921-1_all.deb
courier-faxmail_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-faxmail_0.39.3.20020921-1_i386.deb
courier-imap_1.5.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-imap_1.5.3.20020921-1_i386.deb
courier-ldap_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-ldap_0.39.3.20020921-1_i386.deb
courier-maildrop_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-maildrop_0.39.3.20020921-1_i386.deb
courier-mlm_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-mlm_0.39.3.20020921-1_i386.deb
courier-mta_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-mta_0.39.3.20020921-1_i386.deb
courier-pcp_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-pcp_0.39.3.20020921-1_i386.deb
courier-pop_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-pop_0.39.3.20020921-1_i386.deb
courier-webadmin_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/courier-webadmin_0.39.3.20020921-1_i386.deb
courier_0.39.3.20020921-1.diff.gz
  to pool/main/c/courier/courier_0.39.3.20020921-1.diff.gz
courier_0.39.3.20020921-1.dsc
  to pool/main/c/courier/courier_0.39.3.20020921-1.dsc
courier_0.39.3.20020921.orig.tar.gz
  to pool/main/c/courier/courier_0.39.3.20020921.orig.tar.gz
sqwebmail_0.39.3.20020921-1_i386.deb
  to pool/main/c/courier/sqwebmail_0.39.3.20020921-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 159821@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Hornburg (Racke) <racke@linuxia.de> (supplier of updated courier package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 23 Sep 2002 14:10:43 +0200
Source: courier
Binary: courier-mlm courier-ldap courier-faxmail courier-debug courier-pcp courier-maildrop courier-authmysql courier-imap courier-authdaemon courier-base sqwebmail courier-mta courier-webadmin courier-pop courier-doc
Architecture: source i386 all
Version: 0.39.3.20020921-1
Distribution: unstable
Urgency: low
Maintainer: Stefan Hornburg (Racke) <racke@linuxia.de>
Changed-By: Stefan Hornburg (Racke) <racke@linuxia.de>
Description: 
 courier-authdaemon - Courier Mail Server authentication daemon
 courier-authmysql - MySQL Authentication for Courier Mail Server
 courier-base - Courier Mail Server Base System
 courier-debug - Debugging Tools for Courier Mail Server
 courier-doc - Documentation for the Courier Mail Server
 courier-faxmail - Courier Mail Server module for sending email by fax
 courier-imap - IMAP daemon with PAM and Maildir support
 courier-ldap - LDAP support for Courier Mail Server
 courier-maildrop - Mail delivery agent with filtering abilities
 courier-mlm - Courier Mail Server mailing list manager
 courier-mta - Mail Transport Agent of the Courier Mail Server
 courier-pcp - Courier PCP server
 courier-pop - POP3 daemon with PAM and Maildir support
 courier-webadmin - Web-based administration tool for the Courier Mail Server
 sqwebmail  - Webmail Server
Closes: 154183 157149 159821
Changes: 
 courier (0.39.3.20020921-1) unstable; urgency=low
 .
   * new upstream release (replaces dotlock with lockmail)
   * install sqwebmail CGI binary whether the user allows the suid bit to
     be set or not (Closes: #154183)
   * remove sqwebmail CGI binary on remove instead on purge
   * check umask in debian/rules because Courier requires umask 022 for
     installation (Closes: #157149)
   * --enable-unicode ./configure option added (Closes: #159821)
Files: 
 b550e2ff06e45941567f5fbb9d8aac02 1055 mail optional courier_0.39.3.20020921-1.dsc
 8b184e0507d54ca25b6ee4f35f54dbc6 3617187 mail optional courier_0.39.3.20020921.orig.tar.gz
 221d06eaf6c5466996bb739ca659fe13 35366 mail optional courier_0.39.3.20020921-1.diff.gz
 d92b3c0f5d0e3ba6d007a5222afdf00b 142960 mail optional courier-base_0.39.3.20020921-1_i386.deb
 c338f6b5556b703fc9fc1cf2ca25b138 372846 mail optional courier-maildrop_0.39.3.20020921-1_i386.deb
 d3c764c92458be065d46d55effa7c40e 109930 mail optional courier-mlm_0.39.3.20020921-1_i386.deb
 7f8fcc60af0160bf712af3027fd515e7 543214 mail extra courier-mta_0.39.3.20020921-1_i386.deb
 6f41b0ca5bd0a998d345ee6f2a262e56 46324 mail optional courier-faxmail_0.39.3.20020921-1_i386.deb
 53dd949c3fbf3de6435e2190bd91486d 25358 mail optional courier-webadmin_0.39.3.20020921-1_i386.deb
 4f7c51b12688356a1342a253cfc236eb 486738 mail optional sqwebmail_0.39.3.20020921-1_i386.deb
 1da60c88045ed01a42ddbbd2682f59cd 54564 mail optional courier-pcp_0.39.3.20020921-1_i386.deb
 1f527bc79c9d30b5a3f07670155691fe 36348 mail extra courier-pop_0.39.3.20020921-1_i386.deb
 9e762f77b16d16fbdf4b22012fdbed20 56140 mail optional courier-ldap_0.39.3.20020921-1_i386.deb
 81cd8f245e8fb6b7da802c051fe0bc45 46722 mail optional courier-authdaemon_0.39.3.20020921-1_i386.deb
 8b16c01c4a67daaf7d878e2c489d725c 42056 mail optional courier-authmysql_0.39.3.20020921-1_i386.deb
 d7de209c2a0e004cb859d7abfe1195c5 322072 mail optional courier-doc_0.39.3.20020921-1_all.deb
 9fec09019616b17fa0531dc6ebc66e72 17468 mail optional courier-debug_0.39.3.20020921-1_i386.deb
 c82961433e07798e135aaf17d91dc5dd 309820 mail extra courier-imap_1.5.3.20020921-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE9jw6kjgVfE5tya3ERAjN1AKDVSyg6VN5qB9aMq00PtROouhqBfACgiiGQ
1G6Nqfs7ZrusVyZS8jO606k=
=qJqF
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:08:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.